<?php
/*
 File: WLtags.htx 

 Purpose: load WL variables into a $WX[] array for use with the Canada/World/USA template sets

 Instructions:  
 Save this page as WLtags.htx and place in your weatherlink\[stationname]\templates directory
 
 Use the WeatherLink, Setup, Internet Settings... panel select a new configuration entry and press Configure.

 On the Data Upload Profile (n), select Upload every 5 minutes.  Press Select Template Files and
 In the Weather Template Files screen, press Add and select the WLtags.htx file in the file dialog.
 Set the Extension of Converted ".htx" file to be php and press OK
 
 Press OK on the Data Upload Profile to close it.
 Press OK on the Internet Settings dialog to close it and save the settings.


 Author: Ken True - webmaster@saratoga-weather.org

 (created by gen-WLtags.php - V1.02 - 10-Feb-2011)

 These tags generated on 2011-02-10 22:02:52 GMT
   From WLtags.txt updated 2011-01-07 18:01:02 GMT

*/
// --------------------------------------------------------------------------

// allow viewing of generated source

if (isset($_REQUEST["sce"]) and strtolower($_REQUEST["sce"]) == "view" ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header("Pragma: public");
   header("Cache-Control: private");
   header("Cache-Control: no-cache, must-revalidate");
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header("Connection: close");
   
   readfile($filenameReal);
   exit;
}
$WXsoftware = 'WL';  
$defsFile = 'WL-defs.php';  // filename with $varnames = $WX['WL-varnames']; equivalents
 
$rawdatalines = <<<END_OF_RAW_DATA_LINES
insideTemp|18.7|// Inside Temperature:|:
hiInsideTemp|18.9|// High Inside Temperature:|:
lowInsideTemp|16.4|// Low Inside Temperature:|:
hiInsideTempTime| 0:00|// Time of High Inside Temperature:|:
lowInsideTempTime| 5:58|// Time of Low Inside Temperature:|:
hiMonthlyInsideTemp|26.0|// High Monthly Inside Temperature:|:
lowMonthlyInsideTemp|16.3|// Low Monthly Inside Temperature:|:
hiYearlyInsideTemp|36.7|// High Yearly Inside Temperature:|:
lowYearlyInsideTemp|16.3|// Low Yearly Inside Temperature:|:
outsideTemp|30.7|// Outside Temperature:|:
hiOutsideTemp|30.9|// High Outside Temperature:|:
lowOutsideTemp|21.3|// Low Outside Temperature:|:
hiOutsideTempTime|15:47|// Time of High Outside Temperature:|:
lowOutsideTempTime| 5:52|// Time of Low Outside Temperature:|:
hiMonthlyOutsideTemp|38.7|// High monthly Outside Temperature:|:
lowMonthlyOutsideTemp|10.9|// Low monthly Outside Temperature:|:
hiYearlyOutsideTemp|38.7|// High yearly Outside Temperature:|:
lowYearlyOutsideTemp|4.3|// Low yearly Outside Temperature:|:
Temperature2|---|// Temperature 2:|:
hiTemp2|---|// High Temperature 2:|:
lowTemp2|---|// Low Temperature 2:|:
hiTempTime2|----|// Time of High Temperature 2:|:
lowTempTime2|----|// Time of Low Temperature 2:|:
hiTemp3|---|// Temperature 3:|:
lowTemp3|---|// High Temperature 3 Time:|:
Temperature4|---|// Low Temperature 3 Time:|:
hiTempTime4|----|// High Temperature 4:|:
lowTempTime4|----|// Low Temperature 4:|:
hiTemp5|<!--hiTemp5-->|// Temperature 5:|:
lowTemp5|<!--lowTemp5-->|// High Temperature 5 Time:|:
Temperature6|<!--Temperature6-->|// Low Temperature 5 Time:|:
hiTempTime6|<!--hiTempTime6-->|// High Temperature 6:|:
lowTempTime6|<!--lowTempTime6-->|// Low Temperature 6:|:
hiTemp7|<!--hiTemp7-->|// Temperature 7:|:
lowTemp7|<!--lowTemp7-->|// High Temperature 7 Time:|:
Temperature8|<!--Temperature8-->|// Low Temperature 7 Time:|:
hiTempTime8|<!--hiTempTime8-->|// High Temperature 8:|:
lowTempTime8|<!--lowTempTime8-->|// Low Temperature 8:|:
insideHumidity|37|// Inside Humidity:|:
hiInsideHumidity|56|// High Inside Humidity:|:
lowInsideHumidity|36|// Low Inside Humidity:|:
hiInsideHumidityTime| 7:40|// High Inside Humidity Time:|:
lowInsideHumidityTime|12:58|// Low Inside Humidity Time:|:
hiMonthlyInsideHumidity|67|// High Monthly Inside Humidity:|:
lowMonthlyInsideHumidity|27|// Low Monthly Inside Humidity:|:
hiYearlyInsideHumidity|67|// High Yearly Inside Humidity:|:
lowYearlyInsideHumidity|18|// Low Yearly Inside Humidity:|:
outsideHumidity|58|// Outside Humidity:|:
lowHumidity|56|// Low Humidity:|:
hiHumidity|97|// High Humidity:|:
lowHumTime|16:04|// Time of Low Humidity:|:
hiHumTime| 8:30|// Time of High Humidity:|:
hiMonthlyHumidity|99|// High Monthly Humidity:|:
lowMonthlyHumidity|17|// Low Monthly Humidity:|:
hiYearlyHumidity|100|// High Yearly Humidity:|:
lowYearlyHumidity|12|// Low Yearly Humidity:|:
Humidity2|---|// Humidity 2:|:
hiHum2|---|// High Humidity 2:|:
lowHum2|---|// Low Humidity 2:|:
hiHumTime2|----|// High Humidity Time 2:|:
lowHumTime2|----|// Low Humidity Time 2:|:
hiHum3|---|// Humidity 3:|:
lowHum3|---|// High Humidity 3 Time:|:
Humidity4|<!--Humidity4-->|// Low Humidity 3 Time:|:
hiHumTime4|<!--hiHumTime4-->|// High Humidity 4:|:
lowHumTime4|<!--lowHumTime4-->|// Low Humidity 4:|:
hiHum5|<!--hiHum5-->|// Humidity 5:|:
lowHum5|<!--lowHum5-->|// High Humidity 5 Time:|:
Humidity6|<!--Humidity6-->|// Low Humidity 5 Time:|:
hiHumTime6|<!--hiHumTime6-->|// High Humidity 6:|:
lowHumTime6|<!--lowHumTime6-->|// Low Humidity 6:|:
hiHum7|<!--hiHum7-->|// Humidity 7:|:
lowHum7|<!--lowHum7-->|// High Humidity 7 Time:|:
Humidity8|<!--Humidity8-->|// Low Humidity 7 Time:|:
hiHumTime8|<!--hiHumTime8-->|// High Humidity 8:|:
lowHumTime8|<!--lowHumTime8-->|// Low Humidity 8:|:
barometer|755.5|// Barometer:|:
BarTrend|Falling Rapidly|// 3-Hour Barometer Trend*:|:
lowBarometer|755.5|// Low Barometer:|:
hiBarometer|759.1|// High Barometer:|:
lowMonthlyBarometer|752.7|// Low Monthly Barometer:|:
hiMonthlyBarometer|763.3|// High Monthly Barometer:|:
lowYearlyBarometer|751.4|// Low Yearly Barometer:|:
hiYearlyBarometer|771.1|// High Yearly Barometer:|:
lowBarometerTime|16:14|// Time of Low Barometer:|:
hiBarometerTime|10:14|// Time of High Barometer:|:
windSpeed|0.9|// Wind Speed:|:
wind10Avg|0.4|// 10 Minute Average Wind Speed*:|:
hiWindSpeed|5.4|// High Wind Speed:|:
hiWindSpeedTime| 8:24|// Time of High Wind Speed:|:
hiMonthlyWindSpeed|13.0|// High Monthly Wind Speed:|:
hiYearlyWindSpeed|14.8|// High Yearly Wind Speed:|:
windDir|349|// Wind Direction In Degrees:|:
windDirection|N|// Wind Direction Sector (16-point compass):|:
windChill|30.7|// Wind Chill:|:
lowWindchill|21.1|// Low Wind Chill:|:
lowWindchillTime| 5:27|// Time of Low Wind Chill:|:
lowMonthlyWindchill|11.1|// Low Monthly Wind Chill:|:
lowYearlyWindchill|4.4|// Low Yearly Wind Chill:|:
windAvg1|---|// One-minute Wind Speed Average*:|:
windAvg2|---|// Two-minute Wind Speed Average:|:
windAvg5|---|// Five-minute Wind Speed Average:|:
windAvg10|---|// 10-minute Wind Speed Average:|:
windHigh1|---|// One-minute Wind High Speed*:|:
windHigh2|---|// Two-minute Wind High Speed:|:
windHigh5|---|// Five-minute Wind High Speed:|:
windHigh10|---|// 10-minute Wind High Speed:|:
totalRain|744.8|// Yearly Rain:|:
dailyRain|1.6|// Daily Rain:|:
monthlyRain|92.0|// Monthly Rain:|:
stormRain|11.6|// Storm Rain:|:
rainRate|0.0|// Rain Rate:|:
hiRainRate|4.6|// High Rain Rate:|:
hiRainRateTime| 7:40|// Time of High Rain Rate:|:
hiRainRateHour|0.0|// High Rain Rate Hour:|:
hiMonthlyRainRate|131.0|// High Monthly Rain Rate:|:
hiYearlyRainRate|144.0|// High Yearly Rain Rate:|:
dailyEt|2.46|// Daily ET:|:
monthlyEt|99.75|// Monthly ET:|:
yearlyEt|968.17|// Yearly ET:|:
solarRad|717|// Solar Radiation:|:
hiSolarRad|1259|// High Solar Radiation:|:
hiSolarRadTime|14:11|// Time of High Solar Radiation:|:
hiMonthlySolarRad|1259|// High Monthly Solar Radiation:|:
hiYearlySolarRad|1494|// High Yearly Solar Radiation:|:
uv|---|// UV:|:
hiUV|0.0|// High UV:|:
hiUVTime|----|// Time of High UV:|:
hiMonthlyUV|16.0|// High monthly UV:|:
hiYearlyUV|16.0|// High yearly UV:|:
outsideDewPt|21.5|// Outside Dew Point:|:
hiDewpoint|22.8|// High Dew Point:|:
lowDewpoint|20.0|// Low Dew Point:|:
hiDewpointTime|13:52|// Time of High Dew Point:|:
lowDewpointTime| 6:15|// Time of Low Dew Point:|:
hiMonthlyDewpoint|22.8|// High Monthly Dew Point:|:
lowMonthlyDewpoint|6.7|// Low Monthly Dew Point:|:
hiYearlyDewpoint|26.1|// High Yearly Dew Point:|:
lowYearlyDewpoint|-2.2|// Low Yearly Dew Point:|:
insideDewPt|3.7|// Inside Dew Point:|:
outsideHeatIndex|33.9|// Outside Heat Index:|:
hiHeatindex|35.0|// High Heat Index:|:
hiHeatindexTime|15:40|// Time of High Heat Index:|:
hiMonthlyHeatindex|41.7|// High Monthly Heat Index:|:
hiYearlyHeatindex|43.3|// High Yearly Heat Index:|:
insideHeatIndex|17.1|// Inside Heat Index:|:
thw|33.9|// THW Index:|:
SoilMoisture1|---|// Soil Moisture 1:|:
hiSoilMoist1|---|// High Soil Moisture 1:|:
lowSoilMoist1|---|// Low Soil Moisture 1:|:
hiSoilMoistTime1|---|// High Soil Moisture 1 Time:|:
lowSoilMoistTime1|---|// Low Soil Moisture 1 Time:|:
hiSoilMoist2|---|// Soil Moisture 2:|:
lowSoilMoist2|---|// High Soil Moist 2 Time:|:
SoilMoisture3|---|// Low Soil Moist 2 Time:|:
hiSoilMoistTime3|---|// High Soil Moisture 3:|:
lowSoilMoistTime3|---|// Low Soil Moisture 3:|:
hiSoilMoist4|---|// Soil Moisture 4:|:
lowSoilMoist4|---|// High Soil Moisture 4 Time:|:
SoilTemp1|---|// Low Soil Moisture 4 Time:|:
lowSoilTemp1|---|// High Soil Temp 1:|:
lowSoilTempTime1|---|// High Soil Temp 1 Time:|:
hiSoilTemp2|---|// Soil Temperature 2:|:
lowSoilTemp2|---|// High Soil Temp 2 Time:|:
SoilTemp3|---|// Low Soil Temp 2 Time:|:
hiSoilTempTime3|---|// High Soil Temp 3:|:
lowSoilTempTime3|---|// Low Soil Temp 3:|:
hiSoilTemp4|---|// Soil Temperature 4:|:
lowSoilTemp4|---|// High Soil Temp 4 Time:|:
LeafWetness1|---|// Low Soil Temp 4 Time:|:
hiLeaf1|---|// High Leaf Wetness 1:|:
lowLeaf1|---|// Low Leaf Wetness 1:|:
hiLeafTime1|---|// High Leaf Wetness 1 Time:|:
lowLeafTime1|---|// Low Leaf Wetness 1 Time:|:
hiLeaf2|---|// Leaf Wetness 2:|:
lowLeaf2|---|// High Leaf Time:|:
LeafTemp1|---|// Low Leaf Time 2:|:
lowLeafTemp1|---|// High Leaf Temp 1:|:
lowLeafTempTime1|---|// High Leaf Temp 1 Time:|:
emcUnit|%|// EMC:|:
airDensityUnit|lb/cu.ft|// Air Density:|:
date|25/10/16|// Date on the PC:|:
time|16:17|// Time on the PC:|:
utcDate|25/10/16|// UTC Time:|:
stationDate|25/10/16|// Date on the Station:|:
stationTime|16:17|// Time on the Station:|:
StationName|Unesp Campus Dracena|// Name of Station:|:
StationCity|Dracena|// City (from NOAA Setup):|:
StationState|S.P.|// State (from NOAA Setup):|:
StationElevation|  396 m|// Elevation (from NOAA Setup):|:
StationLatitude| 21 46' 04" S|// Latitude (from NOAA Setup):|:
StationLongitude| 51 55' 41" W|// Longitude (from NOAA Setup):|:
sunriseTime| 6:48|// Sunrise Time:|:
sunsetTime|19:35|// Sunset Time:|:
ForecastStr| Increasing clouds and cooler.  Precipitation possible within 6 hours  Windy with possible wind shift to the W, SW, or S. |// Current Weather Forecast *:|:
MoonPhaseStr|Waning Crescent |// Current Moon Phase:|:
tempUnit|C|// Temperature Units:|:
humUnit|% |// Hum Units:|:
windUnit|m/s|// Wind Units:|:
barUnit|mm|// Bar Units:|:
rainUnit|mm|// Rain Units:|:
solarUnit|W/m|// Solar Units:|:
rateUnit|mm/hr|// Rain Rate Units:|:
uvUnit|index|// UV Units:|:
SoilUnit|cb|// Soil Moisture Units:|:
END_OF_RAW_DATA_LINES;

// end of generation script

// put data in  array
//
$WX = array();
global $WX;
$WXComment = array();
$data = explode(":|:",$rawdatalines);
$nscanned = 0;
foreach ($data as $v => $line) {
  list($vname,$vval,$vcomment) = explode("|",trim($line).'|||');
  if ($vname <> "") {
    $WX[$vname] = trim($vval);
    if($vcomment <> "") { $WXComment[$vname] = trim($vcomment); }
  }
  $nscanned++;
}
if(isset($_REQUEST['debug'])) {
  print "<!-- loaded $nscanned $WXsoftware \$WX[] entries -->\n";
}

if (isset($_REQUEST["sce"]) and strtolower($_REQUEST["sce"]) == "dump" ) {

  print "<pre>\n";
  print "// \$WX[] array size = $nscanned entries.\n";
  foreach ($WX as $key => $val) {
	  $t =  "\$WX['$key'] = '$val';";
	  if(isset($WXComment[$key])) {$t .=  " $WXComment[$key]"; }
	  print "$t\n";
  }
  print "</pre>\n";

}
if(file_exists("WL-defs.php")) { include_once("WL-defs.php"); }
?>